org.eclipse.emf.cdo.security.impl

## Interface PermissionImpl.CommitImpactContext

- Enclosing class:
    PermissionImpl

      public static interface PermissionImpl.CommitImpactContext

  A description of the current commit that is used to `determine` the impact of this commit on the configured `permissions`.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOID[]` | `getDetachedObjects()` Returns the CDOIDs of the detached objects of the current commit.
    `CDORevisionDelta[]` | `getDirtyObjectDeltas()` Returns the revision deltas of the changed objects of the current commit.
    `CDORevision[]` | `getDirtyObjects()` Returns the revisions of the changed objects of the current commit.
    `CDORevision[]` | `getNewObjects()` Returns the revisions of the new objects of the current commit.

- - ### Method Detail

    - #### getNewObjects

          CDORevision[] getNewObjects()

      Returns the revisions of the new objects of the current commit.

      Read only!

    - #### getDirtyObjects

          CDORevision[] getDirtyObjects()

      Returns the revisions of the changed objects of the current commit.

      Read only!

    - #### getDirtyObjectDeltas

          CDORevisionDelta[] getDirtyObjectDeltas()

      Returns the revision deltas of the changed objects of the current commit.

      Read only!

    - #### getDetachedObjects

          CDOID[] getDetachedObjects()

      Returns the CDOIDs of the detached objects of the current commit.

      Read only!

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html